
%define PACKAGE_NAME openvas-server
%define PACKAGE_VERSION 1.0.0
%define release 1.fc8.openvas
%define _prefix /usr

Summary: The Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-server
Version: 1.0.2
Release: 1.art
Source0: %{name}-%{version}.tar.gz
Patch0:  %{name}-1.0.0-Makefile.diff
License: GNU GPLv2
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
#Distribution: Fedora 8
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
BuildRequires: openvas-libnasl-devel
AutoReqProv: no
AutoReq: 0


#ART
BuildRequires: openvas-libnasl openvas-libraries openvas-libraries-devel
Requires: openvas-libnasl openvas-libraries 

%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libpcap libgcrypt-devel gnutls-devel gpgme gpgme-devel
%else
BuildRequires: libpcap-devel libgcrypt-devel gnutls-devel gpgme gpgme-devel
#BuildRequires: libpcap libgcrypt-devel gnutls-devel gpgme gpgme-devel
%endif 


%package devel
Summary: Development files for openvas-server
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-server is the acutal server component
of the Network Vulnerabilty Scanner suite OpenVAS.

%description devel
This package contains the development files (mainly C header files)
for openvas-server.

%prep
%setup -b 0
#%patch0

%build
%configure --prefix=%{_prefix}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
%{_mandir}/man?/*
%{_bindir}/openvas-mkrand
%{_bindir}/openvas-mkcert-client
%{_sbindir}/*
%{_localstatedir}/lib/openvas/*
%{_localstatedir}/log/openvas
# Huh?
#%{_sharedstatedir}/openvas/*
%{_sysconfdir}/openvas/gnupg

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/*
%{_bindir}/openvasd-config

%changelog
* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
* Wed Apr 16 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial OpenSUSE 10.2 spec file, tested for i586
